<h3 mat-dialog-title>
  {{ 'ImportFile' | translate }} '{{data.filename}}'
</h3>
<div mat-dialog-content style="margin-bottom: 2em;">
  <div style="margin-bottom: 2em;">
    <p *ngIf="!this.communicationService.inputError">{{ 'ImportNumTotal' | translate }} {{data.responseArray.length}}</p>
    <p *ngIf="numErrors() > 0 && !this.communicationService.inputError">{{ 'ImportNumSucc' | translate }} <span style="color: red; font-weight: bold;">{{numErrors()}}</span> </p>
    <p *ngIf="numErrors() == 0 && !this.communicationService.inputError">{{ 'ImportSucc' | translate }} </p>
    <p *ngIf="this.communicationService.inputError"> <span style="color: red;">{{ 'ImportErrorMessage' | translate }} <br>{{this.communicationService.inputError}}</span> </p>
  </div>
  <mat-expansion-panel *ngIf="numErrors() > 0">
    <mat-expansion-panel-header>
      <mat-panel-title>
        {{ 'ImportDetails' | translate }}
      </mat-panel-title>
      <mat-panel-description>
        {{ 'ImportDetailsDesc' | translate }}
      </mat-panel-description>
    </mat-expansion-panel-header>
    <table>
      <tr>
        <th style="padding-right:1em;">Route</th>
        <th style="text-align: left;">Status</th>
      </tr>
      <tr *ngFor="let r of data.responseArray; index as i;">
        <td>
          {{i+1}}
        </td>
        <td [class.success]="r == true">
          {{responseToStatus(r)}}
        </td>
      </tr>
    </table>
  </mat-expansion-panel>
</div>
<button mat-raised-button (click)="close()"> Ok </button>
